PDA

View Full Version : PHP Version For Ext4



ragecf
4 Sep 2012, 7:31 PM
I run ext4 examples in Redhat EL 5.4 with apache & php5.1.6 (system default). But the tree example did not display normal with get-nodes.php.

I tried winxp + iis5.1 + php5.2.17 and centos6.1 + apache + php5.3. That's OK.

So what is the php version required by ext4 ?

Thanks.

fschaeffer
4 Sep 2012, 8:57 PM
Hello,

as Ext4 has nothing to do with the server side programming language I'd say there is no 'THE PHP version'. However the examples given for the tree is written in PHP and uses the PHP native function json_encode which is available for PHP 5.2 only.

As Ext is heavily JSON-driven (at least that's the easiest way to do) I'd say you should be using at least PHP 5.2 for the backend system.

ragecf
4 Sep 2012, 9:10 PM
Hello,

as Ext4 has nothing to do with the server side programming language I'd say there is no 'THE PHP version'. However the examples given for the tree is written in PHP and uses the PHP native function json_encode which is available for PHP 5.2 only.

As Ext is heavily JSON-driven (at least that's the easiest way to do) I'd say you should be using at least PHP 5.2 for the backend system.

Thanks a lot.